import e from "../utils/index.js";
import t from "../color/index.js";
//#region ../../node_modules/khroma/dist/methods/change.js
var n = (n, r) => {
	let i = t.parse(n);
	for (let t in r) i[t] = e.channel.clamp[t](r[t]);
	return t.stringify(i);
};
//#endregion
export { n as default };
